# $Revision: 1.8 $, $Date: 2008/06/19 12:58:10 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	PackageUpdate_Web
%define		_status		stable
%define		_pearname	PEAR_PackageUpdate_Web

Summary:	%{_pearname} - A Web front end for PEAR_PackageUpdate
Summary(pl.UTF-8):	%{_pearname} - frontend WWW do PEAR_PackageUpdate
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	1
License:	PHP License 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5bf47f866a6497266fedf5e64879cfda
URL:		http://pear.php.net/package/PEAR_PackageUpdate_Web/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-HTML_QuickForm >= 3.2.6
Requires:	php-pear-PEAR_PackageUpdate >= 0.5.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PEAR_PackageUpdate (PPU) is designed to allow developers to easily
include auto updating features for other packages and PEAR installable
applications.

PEAR_PackageUpdate_Web is a HTML web front end for PPU.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PEAR_PackageUpdate (PPU) został zaprojektowany aby ułatwić
programistom dołączanie funkcjonalności automatycznej aktualizacji
innych pakietów oraz aplikacji PEAR.

PEAR_PackageUpdate_Web to frontend www do PPU.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/{examples/ppuWebExample1.php,examples/ppuWebExample2.php}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/PackageUpdate/Web.php
%{php_pear_dir}/data/PEAR_PackageUpdate_Web

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_PackageUpdate_Web.spec,v $
Revision 1.8  2008/06/19 12:58:10  adamg
- updated to 1.0.1

Revision 1.7  2008-05-03 08:38:50  adamg
- updated to 1.0.0

Revision 1.6  2008-01-31 12:16:09  glen
- rel 2

Revision 1.5  2007-09-01 19:30:41  adamg
- updated to 0.4.0

Revision 1.4  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/07/20 21:15:10  qboosh
- pl cosmetic, missing dirs

Revision 1.1  2006/07/17 08:49:04  adamg
- new
